package org.wfc.omada.api.monitor.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import java.util.Objects;

/**
 * WifiSummary
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:38:12.484+08:00[Asia/Shanghai]")

public class WifiSummary   {
  @JsonProperty("connectedApNum")
  private Integer connectedApNum;

  @JsonProperty("clients")
  private Integer clients;

  @JsonProperty("channelUtilization")
  private Integer channelUtilization;

  @JsonProperty("totalTraffic")
  private Double totalTraffic;

  public WifiSummary connectedApNum(Integer connectedApNum) {
    this.connectedApNum = connectedApNum;
    return this;
  }

  /**
   * The number of connected APs
   * @return connectedApNum
  */
  @ApiModelProperty(value = "The number of connected APs")


  public Integer getConnectedApNum() {
    return connectedApNum;
  }

  public void setConnectedApNum(Integer connectedApNum) {
    this.connectedApNum = connectedApNum;
  }

  public WifiSummary clients(Integer clients) {
    this.clients = clients;
    return this;
  }

  /**
   * The number of connected wireless clients
   * @return clients
  */
  @ApiModelProperty(value = "The number of connected wireless clients")


  public Integer getClients() {
    return clients;
  }

  public void setClients(Integer clients) {
    this.clients = clients;
  }

  public WifiSummary channelUtilization(Integer channelUtilization) {
    this.channelUtilization = channelUtilization;
    return this;
  }

  /**
   * The average channel utilization of the 2.4GHz and 5GHz band for each AP in percentage. Null means no value.
   * @return channelUtilization
  */
  @ApiModelProperty(value = "The average channel utilization of the 2.4GHz and 5GHz band for each AP in percentage. Null means no value.")


  public Integer getChannelUtilization() {
    return channelUtilization;
  }

  public void setChannelUtilization(Integer channelUtilization) {
    this.channelUtilization = channelUtilization;
  }

  public WifiSummary totalTraffic(Double totalTraffic) {
    this.totalTraffic = totalTraffic;
    return this;
  }

  /**
   * Total traffic measured in KB
   * @return totalTraffic
  */
  @ApiModelProperty(value = "Total traffic measured in KB")


  public Double getTotalTraffic() {
    return totalTraffic;
  }

  public void setTotalTraffic(Double totalTraffic) {
    this.totalTraffic = totalTraffic;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    WifiSummary wifiSummary = (WifiSummary) o;
    return Objects.equals(this.connectedApNum, wifiSummary.connectedApNum) &&
        Objects.equals(this.clients, wifiSummary.clients) &&
        Objects.equals(this.channelUtilization, wifiSummary.channelUtilization) &&
        Objects.equals(this.totalTraffic, wifiSummary.totalTraffic);
  }

  @Override
  public int hashCode() {
    return Objects.hash(connectedApNum, clients, channelUtilization, totalTraffic);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class WifiSummary {\n");
    
    sb.append("    connectedApNum: ").append(toIndentedString(connectedApNum)).append("\n");
    sb.append("    clients: ").append(toIndentedString(clients)).append("\n");
    sb.append("    channelUtilization: ").append(toIndentedString(channelUtilization)).append("\n");
    sb.append("    totalTraffic: ").append(toIndentedString(totalTraffic)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

